package com.kingdee.eas.custom.integration.feishu.app;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.eas.common.EASBizException;
import org.apache.log4j.Logger;

/**
 * @Description ·ÉÊéÏûÏ¢¿¨Æ¬
 * @Date 2026/3/12 0:39
 * @Created by HeYuan
 */
public class FeishuMessageCardControllerBean extends AbstractFeishuMessageCardControllerBean {
    private static Logger logger = Logger.getLogger(FeishuMessageCardControllerBean.class);

    @Override
    protected IObjectPK _addnew(Context ctx, IObjectValue model) throws BOSException, EASBizException {
        IObjectPK iObjectPK = super._addnew(ctx, model);
        //ÆôÓÃ
        _enable(ctx, iObjectPK.toString());
        return iObjectPK;
    }
}
